
QGIS Application - Bug report #16429

[Settings] [Windows] Only validate MSYS and R paths if the relevant provider is enabled

2017-04-08 10:07 AM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24338

Description

On Windows systems, the Processing configuration stores paths to GRASS/MSYS and R, which become invalid after upgrading QGIS to

a newer version (they point to C:\\Program Files\\$QGIS_Older_Version\\foo when using the standalone installer on windows). As a

result, you can't close the Processing Options dialog without updating those paths. However, 99% of the users don't even know what

GRASS and R is, so they are surprised by the invalid path error. On most trainings I have to tell people to set the affected paths to C:\\ (or

other dummy but existing location), what is a bit embarassing...

What about skipping the path validation if the relevant provider is disabled? It's better to tell users to disable unused providers rather than

set dummy paths.

History

#1 - 2017-05-01 12:44 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2017-10-17 02:35 PM - Steve Lowman

Issue confirmed in 2.18.13.

Should this be a bug report? It certainly feels like one.

#3 - 2017-10-18 10:16 AM - Borys Jurgiel

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.18.13

- Description updated

- Tracker changed from Feature request to Bug report

Right.

#4 - 2017-10-18 10:46 AM - Steve Lowman

I suggest 'Crashes QGIS' should be set to 'Yes', because it was freezing the application when I tried to change any other Processing option and clicked

OK, until I implemented the work-around on both of these paths simultaneously. I have also seen this on a colleague's PC with a fresh Windows

installation.
#5 - 2017-10-18 10:52 AM - Giovanni Manghi

Steve Lowman wrote:

I suggest 'Crashes QGIS' should be set to 'Yes', because it was freezing the application when I tried to change any other Processing option and

clicked OK, until I implemented the work-around on both of these paths simultaneously. I have also seen this on a colleague's PC with a fresh

Windows installation.

I can't confirm this (the freeze), recently did a training, all Windows machines.

#6 - 2017-10-18 01:02 PM - Borys Jurgiel

Steve Lowman wrote:

I suggest 'Crashes QGIS' should be set to 'Yes', because it was freezing the application when I tried to change any other Processing option and

clicked OK, until I implemented the work-around on both of these paths simultaneously. I have also seen this on a colleague's PC with a fresh 

Windows installation.

Do you mean a permanent freeze? Last time when I had this problem, the freeze was for maybe ~ 30 seconds. Very annoying, of course, but I couldn't

equate it with crash. A crash leads to loss of unsaved data.

#7 - 2017-10-18 01:08 PM - Borys Jurgiel

Giovanni Manghi wrote:

I can't confirm this (the freeze), recently did a training, all Windows machines.

Giovanni, do you mean even if the paths are wrong, there is no freeze and an error message pops up immediately? 

I don't remember whether the freeze occured always, or only when the paths were wrong. I believe the latter - Steve can you confirm? If I understood you

correctly, you wrote after fixing all paths there was no freeze.

#8 - 2017-10-18 01:11 PM - Giovanni Manghi

Borys Jurgiel wrote:

Giovanni Manghi wrote:

I can't confirm this (the freeze), recently did a training, all Windows machines.

Giovanni, do you mean even if the paths are wrong, there is no freeze and an error message pops up immediately? 

I don't remember whether the freeze occured always, or only when the paths were wrong. I believe the latter - Steve can you confirm? If I understood

you correctly, you wrote after fixing all paths there was no freeze.

I can't confirm the total freeze. As you said it take a few seconds to start respond again, annoying but not a complete freeze.
#9 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
